import 'package:flutter/material.dart';
import 'package:amaps_location/location.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('高德地图定位插件'),
        ),
        body: Column(
          children: [
            _buttionWidget(
              title: '是否开启GPS',
              onTap: () {
                AmapsLocation.create().isOpenGPS().then((value) {
                  print('=====> value:$value');
                }).catchError((error) {
                  print('======>error:$error');
                });
              },
            ),
            _buttionWidget(
              title: '开启GPS',
              onTap: () {
                AmapsLocation.create().enableGPS().then((value) {
                  print('=====> value:$value');
                }).catchError((error) {
                  print('======>error:$error');
                });
              },
            ),
            _buttionWidget(
              title: '获取GPS定位',
              onTap: () {
                AmapsLocation.create()
                    .getLocation(apiKey: 'f309bf27ffb034071b57774de1b95b2e')
                    .then((value) {
                  print('=====> code:${value.errorCode}  ${value.address}');
                }).catchError((error) {
                  if (error is PlatformException) {
                    print('===>code:${error.code}  message:${error.message}');
                  } else {
                    print('======>error:$error');
                  }
                });
              },
            ),
          ],
        ),
      ),
    );
  }

  Widget _buttionWidget({String title = '', void Function() onTap}) {
    return InkWell(
      child: Container(
        height: 48,
        child: Text(title),
        alignment: Alignment.center,
      ),
      onTap: onTap,
    );
  }
}
