class LocationEntity {
  //获取纬度
  double? latitude;

  //获取经度
  double? longitude;

  //获取定位精度 单位:米
  double? accuracy;

  //获取海拔高度信息
  double? altitude;

  //速度 单位：米/秒
  double? speed;

  //获取方向角信息
  double? bearing;

  //室内定位建筑物Id
  String? buildingId;

  //室内定位楼层
  String? floor;

  //地址描述
  String? address;

  //获取国家名称
  String? country;

  //获取省名称
  String? province;

  //获取城市名称
  String? city;

  //获取城区名称
  String? district;

  //获取街道名称
  String? street;

  //获取街道门牌号信息
  String? streetNum;

  //获取城市编码信息
  String? cityCode;

  //获取区域编码信息
  String? adCode;

  //获取当前位置的POI名称
  String? poiName;

  //获取当前位置所处AOI名称
  String? aoiName;

  //获取GPS当前状态，返回值可参考AMapLocation类提供的常量
  int? gpsAccuracyStatus;

  //获取定位结果来源
  int? locationType;

  //定位信息描述
  String? locationDetail;

  //定位出现异常的描述
  String? errorInfo;

  //定位出现异常时的编码
  int? errorCode;

  LocationEntity({
    this.latitude,
    this.longitude,
    this.accuracy,
    this.altitude,
    this.speed,
    this.bearing,
    this.buildingId,
    this.floor,
    this.address,
    this.country,
    this.province,
    this.city,
    this.district,
    this.street,
    this.streetNum,
    this.cityCode,
    this.adCode,
    this.poiName,
    this.aoiName,
    this.gpsAccuracyStatus,
    this.locationType,
    this.locationDetail,
    this.errorInfo,
    this.errorCode,
  });

  static LocationEntity fromJson(dynamic data) {
    return LocationEntity(
      latitude: data['latitude'] == null ? 0 : (data['latitude'] as double?),
      longitude: data['longitude'] == null ? 0 : (data['longitude'] as double?),
      accuracy: data['accuracy'] == null ? 0 : (data['accuracy'] as double?),
      altitude: data['altitude'] == null ? 0 : (data['altitude'] as double?),
      speed: data['speed'] == null ? 0 : (data['speed'] as double?),
      bearing: data['bearing'] == null ? 0 : (data['bearing'] as double?),
      buildingId:
          data['buildingId'] == null ? null : (data['buildingId'] as String?),
      floor: data['floor'] == null ? null : (data['floor'] as String?),
      address: data['address'] == null ? null : (data['address'] as String?),
      country: data['country'] == null ? null : (data['country'] as String?),
      province: data['province'] == null ? null : (data['province'] as String?),
      city: data['city'] == null ? null : (data['city'] as String?),
      district: data['district'] == null ? null : (data['district'] as String?),
      street: data['street'] == null ? null : (data['street'] as String?),
      streetNum:
          data['streetNum'] == null ? null : (data['streetNum'] as String?),
      cityCode: data['cityCode'] == null ? null : (data['cityCode'] as String?),
      adCode: data['adCode'] == null ? null : (data['adCode'] as String?),
      poiName: data['poiName'] == null ? null : (data['poiName'] as String?),
      aoiName: data['aoiName'] == null ? null : (data['aoiName'] as String?),
      gpsAccuracyStatus: data['gpsAccuracyStatus'] == null
          ? null
          : (data['gpsAccuracyStatus'] as int?),
      locationType:
          data['locationType'] == null ? null : (data['locationType'] as int?),
      locationDetail: data['locationDetail'] == null
          ? null
          : (data['locationDetail'] as String?),
      errorInfo:
          data['errorInfo'] == null ? null : (data['errorInfo'] as String?),
      errorCode: data['errorCode'] as int?,
    );
  }
}
